GNU bug report logs - #49186
ansi-term switch to char mode immediately executes string at prompt

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: simon254@HIDDEN; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 49186 <at> debbugs.gnu.org and simon254@HIDDEN Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49186 <at> debbugs.gnu.org:


Received: (at 49186) by debbugs.gnu.org; 22 Jul 2021 14:18:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 22 10:18:37 2021
Received: from localhost ([127.0.0.1]:41412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m6ZX3-0004QG-3f
	for submit <at> debbugs.gnu.org; Thu, 22 Jul 2021 10:18:37 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m6ZX1-0004Py-Cl
 for 49186 <at> debbugs.gnu.org; Thu, 22 Jul 2021 10:18:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kyg68FcB/HBQkP9DQCto+GNs71Xe286xQ6NI84VNkhk=; b=OIwbfjcj3FY7NPZJcgUcvThhxE
 7xz/T2a3xySuFmUtQLVTGB3xOVcUJvhFDuIu3kcD9ZplkplrCnK+mN0PeOEu+eoycKwMQvUNNq5GP
 wubi23SW66M6FtpNmPJOIStakxe8j3zWpt4ViC/rRztBWh9oOjoy/tzbPcijEE1GMuiU=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m6ZWr-0003OY-Et; Thu, 22 Jul 2021 16:18:29 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 49186 <at> debbugs.gnu.org
Subject: Re: bug#49186: ansi-term switch to char mode immediately executes
 string at prompt
References: <40461101.185172.1624452937072@HIDDEN>
 <871r8sn2de.fsf@HIDDEN>
X-Now-Playing: Nazar's _Guerrilla_: "Retaliation"
Date: Thu, 22 Jul 2021 16:18:24 +0200
In-Reply-To: <871r8sn2de.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 23 Jun 2021 15:21:01 +0200")
Message-ID: <87v952ig9b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I don't use
 ansi-term
 myself much -- I think it's pretty peculiar that > `C-c C-k' sends partial
 line inputs to the shell. Does anybody know > what the rationale for this
 is? The code has been like [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49186
Cc: simon254@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I don't use ansi-term myself much -- I think it's pretty peculiar that
> `C-c C-k' sends partial line inputs to the shell.  Does anybody know
> what the rationale for this is?  The code has been like this since 1994,
> and Emacs 25 works like Emacs 28.  (So it's Emacs 26.1 that's broken
> here.)

I've now made term-char-mode document what it does.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49186; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49186 <at> debbugs.gnu.org:


Received: (at 49186) by debbugs.gnu.org; 23 Jun 2021 13:21:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 23 09:21:12 2021
Received: from localhost ([127.0.0.1]:40597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lw2oa-0007mZ-Dj
	for submit <at> debbugs.gnu.org; Wed, 23 Jun 2021 09:21:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lw2oY-0007mM-Jk
 for 49186 <at> debbugs.gnu.org; Wed, 23 Jun 2021 09:21:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CL8Fc+DNY0QGnGouaFx6y/DecTJk3FP7IN3/QyrSU0E=; b=XK7lTCY2mHJrlqn0hdcacVNbRq
 Rv/idVyujiC8eHc61886ls5CElvrMv1fdAuN0A0FDXMVQFKuFgYQ96850rJY/Li7MPIDExUaDkpnJ
 OQ8qKKKmrzZ3tZvgH61RAr17j1MQzBve7lkMK5xn0YFMr1Ix6Fw8e2CDzldHqnTyzkaQ=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lw2oP-0004tM-Kq; Wed, 23 Jun 2021 15:21:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 49186 <at> debbugs.gnu.org
Subject: Re: bug#49186: ansi-term switch to char mode immediately executes
 string at prompt
References: <40461101.185172.1624452937072@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEXHvq9gW1ZSJywb
 FhWPV1v///9jtUDFAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UGFww4FbuLG2MAAAG0SURBVDjLdZSB
 jesgDIadewyAORbAdICL6QA2x/4znQkkoVKepbYSX39s/xgA/hsBn8IDFCpcKDNxJotceuQfAKZM
 WV+VXlWkEr0k5FJ/usL+mV+RqEEjqm8lOhRdSeQrvQEUG+Gx2QSccNNeiQKGsABDfha55VVRmOJZ
 /vapILLiQ+otrIpjuR0Ch9RX3h3kAWaEfAO2jqM2ca21IZhgR7lyQyt0grKrtAu4kq/ku/pNnkF0
 zwpEuUHmFdzJR8cD8NndYcknwEewhxSdZbGPE1284jAtiVEN5BVQoETJJibq0fkE5lWwLzTbIxKt
 ihAoh05gQ7y9MrMLJUjfHMBFq4snaBhYvbRvqgDe3QpQ3UUQopoDsl3AMsHuAeHXO4aegxfQu/7n
 NSneVZ3A2bzp19L57rxtLzahLtXf1SuMDVUQ1QZ0jMnpbpQgiuJw65Z9WDLCRLSeR7dwDuiqsIHr
 a7FFRW1N9eMEA1q141D046AmmEWtyZPd7Ova2h2Uqyq/4X2fH8Bdbr8Fdr9brP0n10w8H4BSuS9Z
 sWefXEfy/lq88ljrrwEfWw0rknkRrgzjJJ7jD7BVjujBIt4hAAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIxLTA2LTIzVDEyOjU2OjIxKzAwOjAwHtSp5QAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wNi0y
 M1QxMjo1NjoyMSswMDowMG+JEVkAAAAASUVORK5CYII=
X-Now-Playing: The Clash's _Sandinista!_: "The Crooked Beat"
Date: Wed, 23 Jun 2021 15:21:01 +0200
In-Reply-To: <40461101.185172.1624452937072@HIDDEN> (simon's
 message of "Wed, 23 Jun 2021 13:55:37 +0100 (BST)")
Message-ID: <871r8sn2de.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  simon254--- via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN> writes: > For example, C-c
 C-j, then typing ls and then C-c C-k -> ls is > executed. However, If I type
 ls and then C-c C-j followed by C-c C-k, it does not execute ls > > Bug affects
 emacs version 27 and 28 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49186
Cc: simon254@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

simon254--- via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> For example, C-c C-j, then typing ls and then C-c C-k -> ls is
> executed. However, If I type ls and then C-c C-j followed by C-c C-k, it does not execute ls
>
> Bug affects emacs version 27 and 28

I can reproduce the behaviour.  To reproduce:

emacs -Q
M-x ansi-term RET RET
`C-c C-j l s C-c C-k'

In Emacs 26, this won't execute ls, but in Emacs 28 it does (and so it
does in Emacs 25.1).

The code for `term-char-mode' (i.e., `C-c C-k') seems to indicate that
the intention of the `C-c C-k' was to behave like Emacs 28 does now:

    ;; Send existing partial line to inferior (without newline).
    (let ((pmark (process-mark (get-buffer-process (current-buffer))))
	  (save-input-sender term-input-sender))
      (when (> (point) pmark)
	(unwind-protect
	    (progn
	      (setq term-input-sender
		    (symbol-function 'term-send-string))
	      (end-of-line)
	      (term-send-input))
	  (setq term-input-sender save-input-sender))))

But this didn't work in Emacs 26.1, but has been fixed now.

I don't use ansi-term myself much -- I think it's pretty peculiar that
`C-c C-k' sends partial line inputs to the shell.  Does anybody know
what the rationale for this is?  The code has been like this since 1994,
and Emacs 25 works like Emacs 28.  (So it's Emacs 26.1 that's broken
here.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49186; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jun 2021 12:55:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 23 08:55:57 2021
Received: from localhost ([127.0.0.1]:40563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lw2Q8-0004wD-Dz
	for submit <at> debbugs.gnu.org; Wed, 23 Jun 2021 08:55:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:53810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simon254@HIDDEN>) id 1lw2Q2-0004vz-Ky
 for submit <at> debbugs.gnu.org; Wed, 23 Jun 2021 08:55:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54592)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <simon254@HIDDEN>)
 id 1lw2Q2-0003Pv-7T
 for bug-gnu-emacs@HIDDEN; Wed, 23 Jun 2021 08:55:50 -0400
Received: from mout-p-202.mailbox.org ([80.241.56.172]:51156)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <simon254@HIDDEN>)
 id 1lw2Py-0007vj-6Q
 for bug-gnu-emacs@HIDDEN; Wed, 23 Jun 2021 08:55:49 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4G93Cc1cR9zQjxW
 for <bug-gnu-emacs@HIDDEN>; Wed, 23 Jun 2021 14:55:40 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mailbox.org; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :subject:subject:message-id:from:from:date:date:received; s=
 mail20150812; t=1624452937; bh=90D7b855xrt2R+5G2bHFwmkoyUZne1/cK
 wKORGYXKMk=; b=uPuGr7im2T9OMq0yICy+7l0+N2LbxjDOIOyyTYJYPW6b9Um+s
 Oz41kGFb3JztDl1g8066xYJabyTb0eLWd/HQ3/QsiUunkB3aAmdcwlQofpWG1eYd
 MEL6bFBaGEQ61wDmPeQLqXmSJAykDRBuXYNbj5Zf46e584U1UUpvvO7MpY9SkZiv
 eKJ9kNqcSGud6BlqAP6cjaCAl9OuQ4zujSUyzQWFjWdOn48sK2H9eH4irxpNTvCJ
 olE8RCzN5vu5IN+Og5LF1OsSL8XZt9LUiEcdl/LgQAIhzSKrqnbQiT+LHynqsf8B
 qWerwT4TmgNbovT7Ol832jks6kBuovpavbUbQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1624452938;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=G/0uWnXYBzI4kMN6J6mFHctrwviggzCQI7O1g2eCLdw=;
 b=U9RvZykCJ77kHfIctb8ULPsZ2TvGA0Ki9D1l43ZhMAIceKsfhKfz32yZ6/cP2OW2dAcIoM
 +nryM5mKHw6Iscd6Jtuf6z4GCE5bPSN3CsaS+TYUKzLKnIlnWW8LfBzcdcY20FwhtNetdr
 bE9/DiPxO6+iXaI6Be193Q5ld1yDfjNIy6sfCgAnCyIriQ99i2mUmSjv31yzaMc4fnUJ67
 W8z+mfu96Vb7JStVufUcGYewWjUJz0pYQU8vq9ZmWxhuB7ATnivIDcP9LgrNrf8pM/C7w7
 eags2NLs29r7BZPtjA/gUSswXe8f8EDg6GqFEfYon7q+ejmbWOwBE0kKJiIQpQ==
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id Pe-mlXwWz90s for <bug-gnu-emacs@HIDDEN>;
 Wed, 23 Jun 2021 14:55:37 +0200 (CEST)
Date: Wed, 23 Jun 2021 13:55:37 +0100 (BST)
From: simon254@HIDDEN
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Message-ID: <40461101.185172.1624452937072@HIDDEN>
Subject: ansi-term switch to char mode immediately executes string at prompt
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -5.59 / 15.00 / 15.00
X-Rspamd-Queue-Id: 3B1E51820
X-Rspamd-UID: 69b15c
Received-SPF: pass client-ip=80.241.56.172; envelope-from=simon254@HIDDEN;
 helo=mout-p-202.mailbox.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

One can switch from char-mode to line-mode via C-c C-j to copy text /
enter text etc. Unfortunately, when changing back to char-mode, it always sends a return to the shell.
This was not the case in emacs 26

For example, C-c C-j, then typing ls and then C-c C-k -> ls is
executed. However, If I type ls and then C-c C-j followed by C-c C-k, it does not execute ls

Bug affects emacs version 27 and 28

In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin20.5.0, NS appkit-2022.50 Version 11.4 (Build 20F71))
 of 2021-06-06 built on two.local
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.4

Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=/usr/local/share/emacs/site-lisp
 --infodir=/usr/local/Cellar/emacs-plus@28/28.0.50/share/info/emacs
 --prefix=/usr/local/Cellar/emacs-plus@28/28.0.50 --with-xml2
 --with-gnutls --with-native-compilation --without-dbus
 --with-imagemagick --with-modules --with-rsvg --with-ns
 --disable-ns-self-contained 'CFLAGS=-I/usr/local/opt/gcc/include
 -I/usr/local/opt/libgccjit/include -I/usr/local/opt/gmp/include
 -I/usr/local/opt/jpeg/include' 'LDFLAGS=-L/usr/local/lib/gcc/11
 -I/usr/local/opt/gcc/include -I/usr/local/opt/libgccjit/include
 -I/usr/local/opt/gmp/include -I/usr/local/opt/jpeg/include''

Configured features:
ACL GIF GLIB GMP GNUTLS IMAGEMAGICK JPEG JSON LCMS2 LIBXML2 MODULES
NATIVE_COMP NOTIFY KQUEUE NS PDUMPER PNG RSVG THREADS TIFF
TOOLKIT_SCROLL_BARS XIM ZLIB

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads kqueue cocoa ns lcms2
multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 68746 8679)
 (symbols 48 6527 0)
 (strings 32 18707 1877)
 (string-bytes 1 646131)
 (vectors 16 14337)
 (vector-slots 8 288368 17073)
 (floats 8 22 39)
 (intervals 56 262 0)
 (buffers 992 11))




Acknowledgement sent to simon254@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#49186; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 22 Jul 2021 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.